// node native
import * as fs from 'fs-extra';
import * as path from 'path';

export { fs, path };

// @push.rocks scope
import * as smartjson from '@push.rocks/smartjson';
import * as smartfile from '@push.rocks/smartfile';
import * as smartcrypto from '@push.rocks/smartcrypto';
import * as smartpath from '@push.rocks/smartpath';
import * as smartpromise from '@push.rocks/smartpromise';
import * as smartshell from '@push.rocks/smartshell';
import * as smartstring from '@push.rocks/smartstring';

export {
  smartjson,
  smartfile,
  smartcrypto,
  smartpath,
  smartpromise,
  smartshell,
  smartstring,
};

// third party scope
import * as minimatch from 'minimatch';
import * as nodeSsh from 'node-ssh';

export { minimatch, nodeSsh };
